Skip to main content
PATCH
/
api
/
v1
/
auth
/
otc
/
deposits
/
{id}
/
draft
Update OTC Deposit Draft (B2B Tab 1)
curl --request PATCH \
  --url https://crypto.westminister.tech/api/v1/auth/otc/deposits/{id}/draft \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "fiat_amount": "<string>",
  "fiat_currency": "<string>",
  "payment_reference": "<string>",
  "proof_url": "<string>",
  "transfer_date": "<string>",
  "phone_number": "<string>",
  "sender_account_name": "<string>",
  "sender_account_number_last4": "<string>",
  "sender_bank_name": "<string>",
  "sender_bank_branch": "<string>",
  "receipt_number": "<string>",
  "receipt_uploaded_at": "2023-11-07T05:31:56Z",
  "proof_file_name": "<string>",
  "proof_mime_type": "<string>",
  "proof_size_bytes": 123,
  "proof_file_sha256": "<string>",
  "requested_crypto_amount": "<string>",
  "pricing_profile_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "fx_rate_quote_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "to_wallet_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{
  "deposit": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "merchant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "fiat_amount": "<string>",
    "fiat_currency": "<string>",
    "payment_reference": "<string>",
    "proof_url": "/otc-deposits-proof/ce6e4186-16fe-4e0d-a97d-7638f11c6063/8251c719-0941-46da-8792-5acce5e5efc8.pdf",
    "transfer_date": "2023-11-07T05:31:56Z",
    "merchant_request_id": "<string>",
    "checkout_request_id": "<string>",
    "mpesa_receipt_number": "<string>",
    "mpesa_phone_number": "<string>",
    "sender_account_name": "<string>",
    "sender_account_number_last4": "<string>",
    "sender_bank_name": "<string>",
    "sender_bank_branch": "<string>",
    "receipt_number": "<string>",
    "receipt_uploaded_at": "2023-11-07T05:31:56Z",
    "proof_file_name": "<string>",
    "proof_mime_type": "<string>",
    "proof_size_bytes": 123,
    "proof_file_sha256": "<string>",
    "requested_asset": "<string>",
    "requested_network": "<string>",
    "requested_crypto_amount": "<string>",
    "pricing_profile_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "fx_rate_quote_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "confirmed_at": "2023-11-07T05:31:56Z",
    "confirmed_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "rejected_at": "2023-11-07T05:31:56Z",
    "rejected_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "rejection_reason": "<string>",
    "internal_note": "<string>",
    "credited_at": "2023-11-07T05:31:56Z",
    "credited_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "usdt_amount": "<string>",
    "credited_asset": "<string>",
    "credited_crypto_amount": "<string>",
    "credited_to_address": "TJyF42dRr18tSiXV9Cf7JtYUtTbqAGZg94",
    "to_wallet_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "payout_to_address": "<string>",
    "payout_to_wallet_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "payout_network": "<string>",
    "payout_asset": "<string>",
    "transfer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "idempotency_key": "<string>",
    "submitted_at": "2023-11-07T05:31:56Z",
    "assigned_to_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

Body

application/json

Partial tab-1 patch for otc_deposits while status is draft. At least one property must be set.

fiat_amount
string
fiat_currency
string

Active ISO code from GET /api/v1/auth/fiat-currencies.

payment_reference
string
proof_url
string
transfer_date
string

YYYY-MM-DD

phone_number
string
sender_account_name
string
sender_account_number_last4
string
sender_bank_name
string
sender_bank_branch
string
receipt_number
string
receipt_uploaded_at
string<date-time>
proof_file_name
string
proof_mime_type
string
proof_size_bytes
integer<int64>
proof_file_sha256
string
requested_asset
enum<string>
Available options:
USDT,
USDC
requested_network
enum<string>
Available options:
tron,
ethereum
requested_crypto_amount
string
pricing_profile_id
string<uuid>
fx_rate_quote_id
string<uuid>
to_wallet_id
string<uuid>

Optional payout wallet on requested_network owned by the merchant ledger.

Response

Draft updated

deposit
object